Package: groovy.lang

## [Java] Class Reference<T>

- groovy.lang.Reference

- All Implemented Interfaces and Traits:
    Serializable

      public class Reference<T>
      extends GroovyObjectSupport
      implements Serializable

  Represents a reference to a value

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Reference()`
    `Reference(T value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public T` | `get()`
    `` | `public Object` | `getProperty(String property)`
    `` | `public Object` | `invokeMethod(String name, Object args)`
    `` | `public void` | `set(T value)`
    `` | `public void` | `setProperty(String property, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public Reference()

    - #### public Reference(T value)

  - ### Method Detail

    - #### public T get()

    - #### @Override
      public Object getProperty(String property)

    - #### @Override
      public Object invokeMethod(String name, Object args)

    - #### public void set(T value)

    - #### @Override
      public void setProperty(String property, Object newValue)